WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: libreoffice 3.5 - scm extension request  (Read 1984 times)

Offline vinnie

  • Hero Member
  • *****
  • Posts: 1104
  • HandMace informatic works
Re: libreoffice 3.5 - scm extension request
« Reply #15 on: March 22, 2012, 04:44:27 PM »
For now my head is still fogged, when I decide to dedicate the time I will not forget to ask you questions  ;)

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 7082
Re: libreoffice 3.5 - scm extension request
« Reply #16 on: March 27, 2012, 06:48:44 PM »
Still off topic, but please try the below.

Download the master build script by this link, and place in your path, like /usr/local/bin:

http://distro.ibiblio.org/tinycorelinux/4.x/x86/scm/src/buildscm

Then, download the ffmpeg-shared collective source tarball, made as one file for this exercise:

http://distro.ibiblio.org/tinycorelinux/4.x/x86/scm/src/ffmpeg-shared.tar.bz2
http://distro.ibiblio.org/tinycorelinux/4.x/x86/scm/src/ffmpeg-shared.tar.bz2.md5.txt

Untar the ffmpeg-shared.tar.bz2 into wherever you want, then enter that ffmpeg-shared/ directory.

Then, with bash.tcz installed, enter the command:

# buildscm ffmpeg-shared-sc.inc /apps/ffmpeg-shared-vinnie

And see if the build just works.  Needed tcz build deps will be automatically installed.  Should make for easy rebuilds and tweaks.


Offline vinnie

  • Hero Member
  • *****
  • Posts: 1104
  • HandMace informatic works
Re: libreoffice 3.5 - scm extension request
« Reply #17 on: March 28, 2012, 04:15:12 AM »
ok, challenge accepted!

If I can not find time I will do to the Easter

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 7082
Re: libreoffice 3.5 - scm extension request
« Reply #18 on: May 28, 2012, 08:31:25 AM »
The issue with libreoffice not using gtk2 when the gtk2 extension was loaded, except after loading gdk-pixbuf2.tcz, was a problem in the gdk-pixbuf build in gtk2.scm.  It needed --with-x11, so I built gtk2 self contained in libreoffice  and now the gtk2 toolkit works, and without needing gtk2.scm. 

I will also fix the gdk-pixbuf2 build in the gtk2.scm extension.

Offline netnomad

  • Hero Member
  • *****
  • Posts: 737
Re: libreoffice 3.5 - scm extension request
« Reply #19 on: May 28, 2012, 12:38:10 PM »
hi jason w,

but in the moment i still need the gdk-pixbuf2 in my onboot.lst to get readable fonts with the libreoffice3.5.scm!?

so in the moment it's not solved, do i understand that right?

thank you for your contributions.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 7082
Re: libreoffice 3.5 - scm extension request
« Reply #20 on: May 28, 2012, 01:08:52 PM »
For the moment, that is true, as now a 249MB extension and will take hours to upload on my network connection.

But while I am at it, I may as well update libreoffice to 3.5.3, so by tomorrow it will be updated and uploaded.


Offline netnomad

  • Hero Member
  • *****
  • Posts: 737
Re: libreoffice 3.5 - scm extension request
« Reply #21 on: May 28, 2012, 01:23:41 PM »
hi jason w,

thank you for your reply.
i will wait for your scm and will test it for you.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 7082
Re: libreoffice 3.5 - scm extension request
« Reply #22 on: May 29, 2012, 05:56:47 AM »
It is up now.

Offline netnomad

  • Hero Member
  • *****
  • Posts: 737
Re: libreoffice 3.5 - scm extension request
« Reply #23 on: May 29, 2012, 10:24:38 AM »
hi jason w,

but in the moment i still need the gdk-pixbuf2 in my onboot.lst to get readable fonts with the libreoffice3.5.scm!?

i can confirm that gdk-pixbuf2 in the onboot.lst isn't needed anymore to get readable fonts.

thank you for your contribution, i will go ahead testing :)